![Banner](assets/banner.png)

# Inure App Manager

An elegant Android app manager, currently in development

## Stats

![](https://img.shields.io/tokei/lines/github/Hamza417/Inure?color=orange&label=Total%20Lines&logo=kotlin&logoColor=white)
![](https://img.shields.io/github/downloads/Hamza417/inure/total?color=orange&label=Total%20Downloads&logo=github&logoColor=white)
[![Hits](https://hits.seeyoufarm.com/api/count/incr/badge.svg?url=https%3A%2F%2Fgithub.com%2FHamza417%2FInure&count_bg=%239A3DC8&title_bg=%23555555&icon=tencentweibo.svg&icon_color=%23E7E7E7&title=Total+Visits&edge_flat=false)](https://hits.seeyoufarm.com)
![](https://img.shields.io/github/repo-size/Hamza417/Inure?color=teal&label=Size)
![](https://img.shields.io/github/languages/count/Hamza417/Inure?color=white&label=Languages)
![](https://img.shields.io/github/license/Hamza417/Inure?color=red&label=License)
[![Crowdin](https://badges.crowdin.net/inure/localized.svg)](https://crowdin.com/project/inure)

## Featured

- [Android Weekly Issue #465](https://androidweekly.net/issues/issue-465)
- ["Inure, a beautifully animated Android App Manager." - Android Dev Notes](https://twitter.com/androiddevnotes/status/1389111968670179340)
- [Top 5 Android Apps of the Week - NextPit](https://www.nextpit.com/apps-of-the-week-51-2021)
- [Top 4 App in User's Choice on PDALife.com](https://pdalife.com/android/sistemnye/sort-by/popular/) _(
  27 July, 2022)_ 💀

## About

Inure is an Android application package manager irrespective of whether they're installed or not, it
can scan through any app's internal components and modify them on the go. It also packs a nice
looking Terminal Emulator, Usage Stats, Split/APK Installer and various other tools and many of them
are waiting to be implemented as well.

Inure's development was started as an independent learning project which later has become one of the
most ambitious and intuitive Android apps developed by a single person and is based 100% on custom
UI APIs developed to be used only in this app with its own native theme engine, crash handler, image
renderer and a beautiful animation framework.

Along with it own UI perks, Inure also supports dynamic Material You colors with split accent and
theme color modes.

Currently, the app is in beta testing stage. You can join app's early beta testing
from [Play Store](https://play.google.com/store/apps/details?id=app.simple.inure) and
its [Telegram Channel](https://t.me/inure_app) for development related updates and discussions.

## Development Status

High priority features

- [x] Apps Backup feature
- [x] Dedicated app installer
- [x] External APK information
- [x] Proper analytics panel
- [x] App directories panel
- [ ] APK browser for apps that are not yet installed
- [ ] Modify Shared Prefs of other apps (root).
- [ ] Modify SQLite databases of other apps (root).
- [ ] Multiple user support (suspended).
- [ ] Use app via ADB Shell instead of root? (suspended)
- [x] Add battery optimisation manager for all apps

Low priority features

- [ ] Code highlights for all languages an Android app possibly contains
- [x] Dedicated TextEditor
- [x] ImageViewer scalable zoom support
- [ ] APK data extraction

*This list will be updated as the development progresses*

## Screenshots

| ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/01.png) | ![02](fastlane/metadata/android/en-US/images/phoneScreenshots/03.png) | ![03](fastlane/metadata/android/en-US/images/phoneScreenshots/04.png) | ![04](fastlane/metadata/android/en-US/images/phoneScreenshots/06.jpg) |
|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|
|                                   1                                   |                                   2                                   |                                   3                                   |                                   4                                   |

| ![15](fastlane/metadata/android/en-US/images/phoneScreenshots/15.png) | ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/07.png) | ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/05.jpg) | ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/08.jpg) |
|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|
|                                   5                                   |                                   6                                   |                                   7                                   |                                   8                                   |

| ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/02.jpg) | ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/09.jpg) | ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/10.jpg) | ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/11.jpg) |
|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|
|                                   9                                   |                                   0                                   |                                   A                                   |                                   B                                   |

| ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/12.jpg) | ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/13.png) | ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/00.png) | ![01](fastlane/metadata/android/en-US/images/phoneScreenshots/14.png) |
|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|:---------------------------------------------------------------------:|
|                                   C                                   |                                   D                                   |                                   E                                   |                                   F                                   |

## Behind The Scenes

Designing of interface skeletons for Inure
![01](./assets/01.jpg)

## License

While the project is GPLv3 licensed, you're not allowed to publish any unofficial builds of the
project on any app store or website. You can however, fork the project and make your own changes to
it. You're also not allowed to use any of the assets of the app in any other projects.
